Welcome to the Wellcrowd platform and app. You have been selected as a Manager. Please click this link to continue:
{{returnUrl}}

To access your manager's dashboard please go to:
{{appUrl}}

We are here to support you in your role. For any questions, please contact us at support@wellcrowd.co.uk